Bug 1874112 - Telemeter Server Authorization upstream error codes
Summary: Telemeter Server Authorization upstream error codes
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.6.0
Assignee: Matthias Loibl
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-31 15:25 UTC by Matthias Loibl
Modified: 2020-09-03 10:45 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift telemeter pull 355 None open Bug 1874112: Do not overwrite 3xx and 4xx from Tollbooth to 500 2020-09-01 08:04:30 UTC

Description Matthias Loibl 2020-08-31 15:25:31 UTC
Description of problem:
The Telemeter server actually returns 500 if the upstream Tollbooth returns unknowns 4xx. That's bad because it might wake up SREs.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
100%

Steps to Reproduce:
1. Send too many invalid pull secrets.

Actual results:
Telemeter Server returns 500.

Expected results:
Telemeter Server should return the 4xx sent by the upstream.

Additional info:
https://github.com/openshift/telemeter/blob/958dc61aad8433789e6140c5d97e5a99ce7a3dd8/pkg/authorize/jwt/handler.go#L91


Note You need to log in before you can comment on or make changes to this bug.